For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
            • GETList Price Lists
            • POSTCreate Price List
            • DELDelete All Price Lists
            • GETGet Price List
            • PUTUpdate Price List
            • DELDelete Price List
              • POSTCreate Batch of Price Lists Records
              • PUTCreate or Update Batch of Price Lists Records
              • GETList Price List Records
              • POSTCreate Price List Records
              • PUTUpsert Price List Records
              • DELDelete Price List Record
              • GETList Price Records by Variant
              • GETGet Price Record by Currency Code
              • PUTSet Price List Record by Currency Code
              • DELDelete Price Record by Currency Code
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPrice ListsPrice Lists Records

Delete Price List Record

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/pricelists/:price_list_id/records
DELETE
/stores/:store_hash/v3/pricelists/:price_list_id/records
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/pricelists/1/records \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "status": 204,
3 "title": "No Content",
4 "type": "https://httpstatuses.com/204",
5 "instance": "/pricelists/1/records"
6}

Deletes a Price List Record. Deleting the records does not delete the Price List. Optional parameters can be passed in.

Was this page helpful?
Previous

Upsert Price List Records

Next

List Price Records by Variant

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

price_list_idintegerRequired

The ID of the Price List requested.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

currencystringOptional

The 3-letter currency code with which this set of prices is associated.

variant_id:inlist of integersOptional

A comma-separated list of IDs for one or more variants for which prices exist.

sku:inlist of stringsOptional

A comma-separated list of SKUs for one or more variants for which prices exist.

Response

statusinteger
204 HTTP status code.
titlestring
The error title describing the situation.
typestring
instancestring

Errors

503
Service Unavailable Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.